Subject: Re: mrouted3.8.2 and HP-UX 9.05

From: "Jeffrey S. Curtis" <[email-masked]>
Date: Fri, 1 Nov 1996 00:13:19 -0600

Felix Killmann writes:
}I'm trying to run mrouted3.8.2 on a HP 9000/715 workstation 
}with HP-UX 9.05.
} [...]
}00:28:55.176 getsockopt MRT_VERSION: perhaps your kernel is too old: 
} [...]
}Are there different kernel patches for HP-UX 9.05? (The README file 
}distributed with the kernel patches says they are for HP-UX 9.01 only.)

There are patches specifically for 9.05 which I believe are different
than the ones you have (I had both sets at one point; now I only have
the 9.05 libs).  I never had any problems under 9.05 with any of the
user applications, although I never bothered trying to run mrouted on
the box since I use PIM internally.

At 10.20 (and possibly earlier 10.x releases), it's all built in, so
you don't need any patches.  However, as I indicated to this list a
while ago (and never received any feedback on), I haven't been able to
get the user applications to work properly on 10.20 (except sdr, which
seems to work fine).  vat, vic and wb all seem to operate in "transmit-
only" mode - everyone else receives my data, but I don't see/hear
anyone else's data.  In unicast mode, they work fine.

Jeff
-- 
Jeffrey S. Curtis                      | Internetwork Manager
Argonne National Laboratory            | Email: [email-masked]
9700 South Cass Avenue, ECT-221        | Voice: 630/252-1789
Argonne, IL 60439                      | Fax:   630/252-9689

---

From: Piers O'Hanlon <[email-masked]>
Date: Mon, 04 Nov 1996 16:28:26 +0000

Hi Jeff,

> anyone else's data.  In unicast mode, they work fine.

I too am suffering from the wierd [HP-UX 10.20] multicast problem - one thing 
I have noticed is that all the UCL tools (sdr,rat,nt) seem to work and all the 
lbl ones don't. I've been looking at the code a bit to try to spot the 
difference but I've not managed to get gcc-2.7.2 compiled on this 10.20 (A 
Visualize C160) box yet - Have you?[Has anyone?!] Any help would be 
appreciated in that area as a C++ compiler would be handy in getting somewhere 
with the lbl stuff... I have the HP ANSI C compiler installed but seem to be 
running into problems compiling gcc with it.

Cheers,

-- 
Piers O'Hanlon
______________

MultiMedia Support and Comms Centre
University College London.

---

From: Bill Fenner <[email-masked]>
Date: Mon, 4 Nov 1996 10:30:43 PST

In message <[email-masked]> you write:
>lbl ones don't.

Sounds like the binding to a multicast address succeeds but doesn't provide
any data.  Try changing the code in net-ip.cc's IPNetwork::openrsock()
to bind to INADDR_ANY before addr (if you get C++ working...).

(The LBL tools always bind to the multicast address to be more selective
about the packets they receive, the UCL tools all seem to just bind to
INADDR_ANY which can cause them to receive packets they weren't expecting).

  Bill

---

From: [email-masked] (Reinhard Foerster)
Date: Mon, 4 Nov 1996 23:50:26 +0100 (MET)

> running into problems compiling gcc with it.

For gcc-2.7.2.1 and libg++-2.7.2 on 10.20 you need the Patch PHKL_7962 for 
/usr/include/sys/time.h from http://support.mayfield.hp.com, the GNU-as 
(binutils-2.7.tar.gz) and GNU-Grep (grep-2.0.tar.gz).
Email me for more information or take a look at comp.sy.hp.hpux.

Best regards
   Reinhard
-- 
,---------------------------------------------------------.
| Reinhard Foerster        01478 Weixdorf  Telefon:       |
| [email-masked]  Nixenweg 21     +49-351-8900023 |
`---------------------------------------------------------'